#
# TODO:
#	- the name should be python-yaml (used via 'import yaml')
#

%bcond_without  python2 # CPython 2.x module
%bcond_without  python3 # CPython 3.x module

%define		module		PyYAML
%define		module_dir	yaml
#
Summary:	YAML parser and emitter module for Python
Summary(pl.UTF-8):	Analizator i generator formatu YAML dla języka Python
Name:		python-%{module}
Version:	3.11
Release:	5
License:	MIT
Group:		Libraries/Python
Source0:	http://pyyaml.org/download/pyyaml/%{module}-%{version}.tar.gz
# Source0-md5:	f50e08ef0fe55178479d3a618efe21db
URL:		http://pyyaml.org/
BuildRequires:	yaml-devel
%if %{with python2}
BuildRequires:	python-devel
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
Requires:	python-modules
%endif
%if %{with python3}
BuildRequires:	python3-devel
BuildRequires:	python3-distribute
BuildRequires:	python3-modules
%endif

BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%package -n python3-%{module}
Summary:	YAML parser and emitter module for Python
Summary(pl.UTF-8):	Analizator i generator formatu YAML dla języka Python
Group:		Libraries/Python

%description -n python3-%{module}
PyYAML features a complete YAML 1.1 parser, Unicode support, pickle
support, capable extension API, and sensible error messages. PyYAML
supports standard YAML tags and provides Python-specific tags that
allow to represent an arbitrary Python object.

%description -n python3-%{module} -l pl.UTF-8
PyYAML posiada obsługę pełnej analizy YAML 1.1, Unicode, serializację
poprzez piklowanie, rozszerzalne API oraz zrozumiałe komunikaty
błędów. Obsługuje standardowe znaczniki YAML i dostarcza nowe,
specyficzne dla języka Python, pozwalające na reprezentację jego
obiektów.

%description
YAML is a data serialization format designed for human readability and
interaction with scripting languages. PyYAML is a YAML parser and
emitter for Python.

PyYAML features a complete YAML 1.1 parser, Unicode support, pickle
support, capable extension API, and sensible error messages. PyYAML
supports standard YAML tags and provides Python-specific tags that
allow to represent an arbitrary Python object.

PyYAML is applicable for a broad range of tasks from complex
configuration files to object serialization and persistance.

%description -l pl.UTF-8
YAML jest formatem serializacji danych czytelnym dla człowieka,
zaprojektowanym do interakcji w językach skryptowych. PyYAML jest
analizatorem i generatorem tego formatu dla języka Python.

PyYAML posiada obsługę pełnej analizy YAML 1.1, Unicode, serializację
poprzez piklowanie, rozszerzalne API oraz zrozumiałe komunikaty
błędów. Obsługuje standardowe znaczniki YAML i dostarcza nowe,
specyficzne dla języka Python, pozwalające na reprezentację jego
obiektów.

PyYAML może być użyty w szerokiej gamie zastosowań, od złożonych
plików konfiguracyjnych po serializację i przechowywanie obiektów.

%prep
%setup -q -n %{module}-%{version}

%build
%if %{with python2}
CC="%{__cc}" \
CFLAGS="%{rpmcflags}" \
%{__python} setup.py --with-libyaml build --build-base build-2 %{?with_tests:test}
%endif
%if %{with python3}
CC="%{__cc}" \
CFLAGS="%{rpmcflags}" \
%{__python3} setup.py --with-libyaml build --build-base build-3 %{?with_tests:test}
%endif

%install
rm -rf $RPM_BUILD_ROOT
%if %{with python2}
%{__python} setup.py \
        build --build-base build-2 \
        install --skip-build \
        --optimize=2 \
        --root=$RPM_BUILD_ROOT
%py_postclean
%endif
%if %{with python3}
%{__python3} setup.py \
        build --build-base build-3 \
        install --skip-build \
        --optimize=2 \
        --root=$RPM_BUILD_ROOT
%endif
%py_postclean
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -p examples/yaml-highlight/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc README
%dir %{py_sitedir}/%{module_dir}
%attr(755,root,root) %{py_sitedir}/_yaml.so
%{py_sitedir}/%{module_dir}/*.py[co]
%if "%{py_ver}" > "2.4"
%{py_sitedir}/*.egg-info
%endif
%{_examplesdir}/%{name}-%{version}
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc README
%dir %{py3_sitedir}/%{module_dir}
%{py3_sitedir}/%{module_dir}/*.py
%{py3_sitedir}/%{module_dir}//__pycache__
%attr(755,root,root) %{py3_sitedir}/_yaml.cpython-*.so
%{py3_sitedir}/PyYAML-3.11-py*.egg-info
%endif
%changelog
* Mon Sep 14 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-PyYAML.git;a=log;h=master

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 3d56cc9
- rel 5; fix files

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 2e37228
- python3.5 rebuild
- release 4 (by relup.sh)

* Fri Mar 20 2015 Elan Ruusamäe <glen@delfi.ee> 4f2ed49
- x32 rebuild
- release 3 (by relup.sh)

* Sun Oct 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> df4d2d8
- python 3.4
- release 2 (by relup.sh)

* Tue Sep 30 2014 Mateusz Korniak <matkor@pld-linux.org> 2b919d0
- Version 3.11-1. python3 modules added.

* Sat May 10 2014 Elan Ruusamäe <glen@delfi.ee> c2377d1
- rebuild with pythonegg deps
- release 2 (by relup.sh)

* Wed Oct 03 2012 Jacek Konieczny <jajcus@jajcus.net> fbdd132
- the name should be python-yaml

* Thu Jun 09 2011 lisu <lisu@pld-linux.org> d8c168b
- updated to 3.10
- adapterized

* Sat Feb 05 2011 sparky <sparky@pld-linux.org> 18a8bdf
- corrected lang tag in Summary

* Wed Jan 05 2011 Mateusz Korniak <matkor@pld-linux.org> 334d8e3
- Release 4. Enabled extra native LibYAML bindings.

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 996585d
- release 3

* Mon Nov 09 2009 Marcin Banasiak <marcin.banasiak@gmail.com> 804a2d5
- it's NOT currently noarch package (uses %{py_sitedir} which is arch-dependent)
- fixed encoding in pl summary and description
- release 2

* Thu Sep 10 2009 lisu <lisu@pld-linux.org> 430fd20
- missing change in previous commit log

* Thu Sep 10 2009 lisu <lisu@pld-linux.org> 51c8cbd
- up to 3.09
- BR: rpm-pythonprov
- python specific .egg-info
- proper encoding in pl desc
- build noarch

* Tue Jan 06 2009 lisu <lisu@pld-linux.org> 36aa1d8
- up to 3.08
- use python macro

* Fri Dec 19 2008 lisu <lisu@pld-linux.org> bd46405
- up to 3.06
- add .egg-info
- adapter

* Tue Feb 12 2008 leafnode <leafnode@pld-linux.org> 51c8070
- updated to 3.05, rel 1

* Thu May 10 2007 Jakub Bogusz <qboosh@pld-linux.org> cae94bd
- formatting

* Fri May 04 2007 beorn <beorn@pld-linux.org> 13e61da
- new

